EDIT - bug #5965

Check if authentication works correctly after datasource change
07/08/2016 10:21 AM - Andreas Mdller

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:30 hour

Target version:

Severity: normal Found in Version:

Description
Hallo,

bei Caryophyllales_spp gibt’s folgende Meldung (Rubiaceae_Mex) funktioniert.
Herzlichen Gruf3
Walter

login : w.berendsohn
editor version : 4.2.0
server : api.cybertaxonomy.org / cybertaxonomy.org
schema version : 4.0.0.0.201604200000
os : Windows 7 6.1 amd64
java : 1.8.0_91
org.eclipse.swt.SWTException: Failed to execute runnable (org.springframework.remoting.RemoteAcces
sException: Could not access HTTP invoker remote service at [http://api.cybertaxonomy.org:80/caryo
phyllales_spp/remoting/term.service]; nested exception is org.apache.http.NoHttpResponseException:
Did not receive successful HTTP response: status code = 401, status message = [Full authenticatio
n is required to access this resourcel])

at org.eclipse.swt.SWT.error (SWT. java:4282)

at org.eclipse.swt.SWT.error (SWT. java:4197)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:138)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4140)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3757)

at org.eclipse.jface.operation.ModalContext$ModalContextThread.block (ModalContext.
java:173)

at org.eclipse.jface.operation.ModalContext.run (ModalContext. java:388)

at org.eclipse.jface.dialogs.ProgressMonitorDialog.run (ProgressMonitorDialog. java:
507)

at eu.etaxonomy.taxeditor.store.CdmStoreConnector.start (CdmStoreConnector. java:146

at eu.etaxonomy.taxeditor.store.CdmStore.connect (CdmStore. java:215)

at eu.etaxonomy.taxeditor.store.CdmStore.connect (CdmStore. java:170)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.connect (RemotingLoginDialo
g.java:870)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.access$5 (RemotingLoginDial
0g.java:856)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog$5.mouseUp (RemotingLoginDia
log.java:352)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:219)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)

at eu.etaxonomy.taxeditor.ui.dialog.RemotingLoginDialog.open (RemotingLoginDialog. j
ava:207)

at eu.etaxonomy.taxeditor.handler.ShowRemotingLoginWindowHandler.execute (ShowRemot
ingLoginWindowHandler. java:38)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC
ommand. java:508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.j
ava:169)

at org.eclipse.ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandle
rService. java:241)

at org.eclipse.ui.menus.CommandContributionItem.handleWidgetSelection (CommandContr
ibutionItem. java:829)

at org.eclipse.ui.menus.CommandContributionItem.access$19 (CommandContributionItem.
java:815)

at org.eclipse.ui.menus.CommandContributionItem$5.handleEvent (CommandContributionI
tem. java:805)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench.java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:110)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplLa
uncher. java:79)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:344)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run (Main.java:1410)
Caused by: org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remot
e service at [http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/term.service]; nested ex
ception is org.apache.http.NoHttpResponseException: Did not receive successful HTTP response: stat
us code = 401, status message = [Full authentication is required to access this resource]

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHt
tpInvokerAccessException (HttpInvokerClientInterceptor. java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.$Proxy7.listByTermType (Unknown Source)

at eu.etaxonomy.taxeditor.store.TermStore.getTermsFromService (TermStore. java:113)

at eu.etaxonomy.taxeditor.store.TermStore.getTerms (TermStore. java:64)

at eu.etaxonomy.taxeditor.store.TermManager.getPreferredTerms (TermManager.java:56)

at eu.etaxonomy.taxeditor.ui.combo.TermComboElement.<init> (TermComboElement. java:l
18)

at eu.etaxonomy.taxeditor.ui.combo.TermComboElement.<init> (TermComboElement. java:38
0)

at eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.createDefinedTermComboElement (
CdmFormFactory.java:917)

at eu.etaxonomy.taxeditor.ui.section.name.NameDetailElement.createControls (NameDet
ailElement. java:84)

at eu.etaxonomy.taxeditor.ui.section.name.NameDetailElement.createControls (NameDet
ailElement. java:1l)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.updateContent (Abstra
ctCdmDetailElement. java:102)

at eu.etaxonomy.taxeditor.ui.section.name.NameDetailElement.updateContent (NameDeta
ilElement.java:117)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.setEntity (AbstractCd
mDetailElement. java:89)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection.setEntity (AbstractCd
mDetailSection. java:125)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailElement.setEntity (NonV
iralNameDetailElement. java:114)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailElement.setEntity (NonV
iralNameDetailElement. java:1l)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection.setEntity (AbstractCd
mDetailSection. java:125)

at eu.etaxonomy.taxeditor.ui.section.name.NonViralNameDetailSection.setTaxonBase (N
onViralNameDetailSection. java:142)

at eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.setFormInput (CdmSectionPart. j
ava:83)

at org.eclipse.ui.forms.ManagedForm.setInput (ManagedForm. java:238)

at eu.etaxonomy.taxeditor.view.AbstractCdmDataViewer.refresh (AbstractCdmDataViewer
.java:155)

at eu.etaxonomy.taxeditor.view.AbstractCdmDataViewer.setInput (AbstractCdmDataViewe
r.java:135)

at eu.etaxonomy.taxeditor.view.detail.DetailsViewer.setInput (DetailsViewer. java:16
2)

at eu.etaxonomy.taxeditor.view.AbstractCdmViewPart.showViewer (AbstractCdmViewPart.
java:116)

at eu.etaxonomy.taxeditor.view.detail.DetailsViewPart.selectionChanged_internal (De
tailsViewPart. java:91)

at eu.etaxonomy.taxeditor.view.AbstractCdmEditorViewPart$DelaySelection.run (Abstra
ctCdmEditorViewPart. java:52)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:135)

50 more

Caused by: org.apache.http.NoHttpResponseException: Did not receive successful HTTP response: stat
us code = 401, status message = [Full authentication is required to access this resource]

at org.springframework.remoting.httpinvoker.HttpComponentsHttpInvokerRequestExecut
or.validateResponse (HttpComponentsHttpInvokerRequestExecutor. java:357)

at org.springframework.remoting.httpinvoker.HttpComponentsHttpInvokerRequestExecut
or.doExecuteRequest (HttpComponentsHttpInvokerRequestExecutor. java:230)

at eu.etaxonomy.taxeditor.service.CdmServiceRequestExecutor.doExecuteRequest (CdmSe
rviceRequestExecutor. java:58)

at org.springframework.remoting.httpinvoker.AbstractHttpInvokerRequestExecutor.exe
cuteRequest (AbstractHttpInvokerRequestExecutor. java:138)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRe
quest (HttpInvokerClientInterceptor. java:194)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.executeRe
quest (HttpInvokerClientInterceptor.java:176)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:144)

79 more

This mail came right after upgrade to CDM v4.2.0. So maybe it is also related to the previous upgrade.

History

#1 - 09/02/2016 02:35 PM - Andreas Miiller
- Description updated

- Priority changed from New to Highest

#2 - 10/05/2016 11:38 AM - Andreas Miiller

- Status changed from New to In Progress

- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Unassigned CDM tickets to Release 4.4

- Estimated time set to 0:30 h

#3 - 12/01/2016 02:37 PM - Andreas Miller
- Target version changed from Release 4.4 to Release 4.5

#4 - 01/19/2017 01:32 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#5 - 03/17/2017 08:15 AM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#6 - 03/17/2017 08:18 AM - Andreas Miiller

- Private changed from Yes to No

#7 - 05/11/2017 03:58 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#8 - 07/06/2017 10:51 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#9 - 07/21/2017 10:13 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#10 - 09/25/2017 03:12 PM - Andreas Miiller
- Status changed from In Progress to Worksforme

- Target version deleted (Release 4.10)

Can't reproduce this anymore. Maybe it fixed in the meanwhile or was related to the update.
